Bug 399621 - Cannot compile subcommander-1.2.2-7.fc8.src.rpm
Cannot compile subcommander-1.2.2-7.fc8.src.rpm
Product: Fedora
Classification: Fedora
Component: subcommander (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-26 11:03 EST by Jan Safranek
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-28 14:23:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
rpmbuild log (3.69 KB, text/plain)
2007-11-26 11:03 EST, Jan Safranek
no flags Details

  None (edit)
Description Jan Safranek 2007-11-26 11:03:16 EST
Description of problem:

I cannot compile the source rpm in my rawhide on x86_64:
rpmbuild -ba subcommander-1.2.2-7.fc8.src.rpm:

checking for IceConnectionNumber in -lICE... yes
checking if --enable-static-qt option is specified... no
checking for Qt... no
configure: error: try setting --with-qt or
error: Bad exit status from /var/tmp/rpm-tmp.96606 (%build)

You can find full logs attached.

How reproducible:
always (rawhide on 2007-11-26)

Additional info:
I wanted to check, if your package is compilable with new openldap-2.4, see
http://people.redhat.com/jsafrane/openldap-2.4-preview/ for yum repository with
all RPMs. IMHO the compilation error is not related to this new openldap.

Please make sure that your package is compilable in current rawhide + check,
that it is compilable with new openldap-2.4-devel from my repo.
Comment 1 Jan Safranek 2007-11-26 11:03:16 EST
Created attachment 269021 [details]
rpmbuild log
Comment 2 Jan Safranek 2007-11-26 11:04:26 EST
And yes, I have qt-devel installed - rpm -qa | grep qt :
Comment 3 Jochen Schmitt 2007-11-26 15:01:33 EST
I have try to build subcommander on Fedora 8 and in mock agains fedora-devel.
For fedora-devel the build fails. Unfortunately, I don't have any idea, why this
is happen.
Comment 4 Jan Safranek 2007-11-27 03:38:49 EST
The reason is probably that QTDIR variable is not set. The variable is set in
/etc/profile.d/qt.sh (owned by qt-devel), but it requires user to login after
the qt-devel is installed and this does not happen in mock. Everything works
when I install qt-devel and reboot before rpmbuild -ba subcommander.spec (even
with new openldap-2.4).

I found following hack in kdevelop.spec, which should do all the magic:

QTDIR="" && source /etc/profile.d/qt.sh

Or you can look at other .specs, which depend on qt.
Comment 5 Jochen Schmitt 2007-11-27 09:42:02 EST
Yes, that was my first quest too, so I have insert a line for 
sourcing /etc/profile.d/qt.sh in the SPEC file. But unfortunately, it doesn't 
fix the reported issue.
Comment 6 Jochen Schmitt 2007-11-28 14:23:59 EST
I have doublecheck the SPEC file and have amek some correction.

the release subcommander-1.2.2-8.fc9 should works.

Note You need to log in before you can comment on or make changes to this bug.